# Ejercicio de JBDC 001: Sentencias Básicas

para descargar e ingresar a la carpeta del proyecto se debe ejecutar el siguiente comando
```
git clone https://phoebe.roshka.com/gitlab/mferreira/jdbc-e001.git
cd ./jdbc-e001/
```

Primero se debe crear un servidor de postgresql que escuche en el puerto 5433. El puerto se define en el archivo postgresql.conf en la carpeta principal de postgres, se puede encontrar con el comando `sudo find / -name postgresql.conf`. Para crear el servidor se puede hacer uso de un cliente de `pgadmin`, nosotros utilizamos `pgadmin4`. Ahora se debe crear una base de datos y un usuario para la base de datos. Para crear el usuario y la base de datos se deben ejecutar los siguientes comandos:
```
su postgres -c "createuser 'test' -P  -h 'localhost' -p '5433';"
su postgres -c "createdb 'testdb' -O 'test' -h 'localhost' -p '5433';"
```
Al ejecutar el comando para crear el usuario, primero le pedira la contraseña del usuario 'postgres'. Luego, le pedira que ingrese la contraseña del nuevo usuario creado. finalmente le pedira la contraseña para conectarse con el servidor de postgresql.

El comando para crear la base de datos primero le pedira la contraseña del usuario postgres. En segundo lugar le pedira la contraseña para conectarse al servidor de postgresql.

Para ejecutar los scripts del Ejercicio001 y Ejercicio002 debe puede ejecutar los siguientes comandos:
* El script  del Ejercicio001 se ejecuta

```
su postgres -c "psql -f ./Ejercicio001/scriptDB1.sql",

```
* Para el Ejercicio002 debe ejecutar cada subejercicio de manera independiente de la siguiente manera

```
su postgres -c "psql -f ./Ejercicio002/2.x.sql",
```
donde ```'x'``` va del 1 al 10.

Para probar el funcionamiento de las clases del ejercicio 3 se debe compilar y ejecutar los binarios de la siguiente manera:
* Primero se compila las clases del ejercicio con el siguiente comando.
```
javac ./Ejercicio003/Q1{0,1,2}.java
```
* Luego se ejecuta el binario de la clase que se quiere probar, en este ejemplo sera Q10.
```
java -cp "/ruta/del/driver/jdbc/diver-jdbc-postgres:./Ejercicio003/" Q10
```
En mi caso particular, como ejemplo, es:
```
java -cp "/opt/postgres_jdbc_driver/postgresql-42.2.16.jar:./Ejercicio003/" Q10
```
Como se ve en el comando, se precisa del driver de jdbc para postgres. Si no posee el driver, lo puede descargar desde [Aquí](https://jdbc.postgresql.org/download.html 'driver jdbc-postgres')
